Subject: Re: bug#8864: 24.0.50; GDB crash when hit C-g
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Jun 2011 23:41:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Tue, 14 Jun 2011 12:06:52 -0700
> 
> > Please leave this GDB session running, I will get to looking at this
> > soon.
> 
> Too late.  This is my work laptop.  I need to use it.  If left running, the
> screen is covered with multiple (blank, at this point) frames, etc.  And I turn
> off the laptop periodically, when changing location etc.  Leaving such a session
> is a non-starter.

Then please don't bother reporting such bugs anymore.

> If you want to let me know other gdb commands to use in the future to possibly
> provide more info at the outset, feel free to do so.  I did my best, using the
> previous info you provided.

That's impossible.  Each crash has a different place and the variables
that need to be explored are different.  There's no way anyone could
give you such instructions up front, without knowing where the crash
will happen and due to what assertion.